Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc
Class XmlRpcConfigImpl

    java.lang.Object
      org.apache.xmlrpc.XmlRpcConfigImpl

All Implemented Interfaces:
  XmlRpcHttpConfig, XmlRpcStreamConfig, XmlRpcConfig

Direct Known Subclasses:
  XmlRpcHttpRequestConfigImpl, XmlRpcServerConfigImpl

    public abstract class XmlRpcConfigImpl

extends java.lang.Object
implements XmlRpcConfig, XmlRpcHttpConfig

Default implementation of `XmlRpcConfig`.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Constructor Summary
`XmlRpcConfigImpl()`

Method Summary
`java.lang.String` | `getBasicEncoding()` Returns the encoding being used to convert the String "username:password" into bytes.
`java.lang.String` | `getEncoding()` Returns the encoding being used for data encoding, when writing to a stream.
`java.util.TimeZone` | `getTimeZone()` Returns the timezone, which is used to interpret date/time values.
`boolean` | `isContentLengthOptional()` Returns, whether a "Content-Length" header may be omitted.
`boolean` | `isEnabledForExtensions()` Returns, whether support for extensions are enabled.
`void` | `setBasicEncoding(java.lang.String pEncoding)` Sets the encoding for basic authentication.
`void` | `setContentLengthOptional(boolean pContentLengthOptional)` Sets, whether a "Content-Length" header may be omitted.
`void` | `setEnabledForExtensions(boolean pExtensions)` Sets, whether extensions are enabled.
`void` | `setEncoding(java.lang.String pEncoding)` Sets the requests encoding.
`void` | `setTimeZone(java.util.TimeZone pTimeZone)` Returns the timezone, which is used to interpret date/time values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcConfigImpl

    public XmlRpcConfigImpl()

Method Detail

### isEnabledForExtensions

    public boolean isEnabledForExtensions()

  Description copied from interface: `XmlRpcConfig`
  Returns, whether support for extensions are enabled. By default, extensions are disabled and your client is interoperable with other XML-RPC implementations. Interoperable XML-RPC implementations are those, which are compliant to the XML-RPC Specification.

  Specified by:
    `isEnabledForExtensions` in interface `XmlRpcConfig`
  Returns:
    Whether extensions are enabled or not.

### setEnabledForExtensions

    public void setEnabledForExtensions(boolean pExtensions)

  Sets, whether extensions are enabled. By default, the client or server is strictly compliant to the XML-RPC specification and extensions are disabled.

  Parameters:
    `pExtensions` - True to enable extensions, false otherwise.

### setBasicEncoding

    public void setBasicEncoding(java.lang.String pEncoding)

  Sets the encoding for basic authentication.

  Parameters:
    `pEncoding` - The encoding; may be null, in which case UTF-8 is choosen.

### getBasicEncoding

    public java.lang.String getBasicEncoding()

  Description copied from interface: `XmlRpcHttpConfig`
  Returns the encoding being used to convert the String "username:password" into bytes.

  Specified by:
    `getBasicEncoding` in interface `XmlRpcHttpConfig`
  Returns:
    Encoding being used for basic HTTP authentication credentials, or null, if the default encoding (`XmlRpcStreamConfig.UTF8_ENCODING`) is being used.

### setEncoding

    public void setEncoding(java.lang.String pEncoding)

  Sets the requests encoding.

  Parameters:
    `pEncoding` - The requests encoding or null (default UTF-8).

### getEncoding

    public java.lang.String getEncoding()

  Description copied from interface: `XmlRpcStreamConfig`
  Returns the encoding being used for data encoding, when writing to a stream.

  Specified by:
    `getEncoding` in interface `XmlRpcStreamConfig`
  Returns:
    Suggested encoding, or null, if the `XmlRpcStreamConfig.UTF8_ENCODING` is being used.

### isContentLengthOptional

    public boolean isContentLengthOptional()

  Description copied from interface: `XmlRpcHttpConfig`
  Returns, whether a "Content-Length" header may be omitted. The XML-RPC specification demands, that such a header be present.

  Specified by:
    `isContentLengthOptional` in interface `XmlRpcHttpConfig`
  Returns:
    True, if the content length may be omitted.

### setContentLengthOptional

    public void setContentLengthOptional(boolean pContentLengthOptional)

  Sets, whether a "Content-Length" header may be omitted. The XML-RPC specification demands, that such a header be present.

  Parameters:
    `pContentLengthOptional` - True, if the content length may be omitted.

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Description copied from interface: `XmlRpcConfig`
  Returns the timezone, which is used to interpret date/time values. Defaults to `TimeZone.getDefault()`.

  Specified by:
    `getTimeZone` in interface `XmlRpcConfig`

### setTimeZone

    public void setTimeZone(java.util.TimeZone pTimeZone)

  Returns the timezone, which is used to interpret date/time values. Defaults to `TimeZone.getDefault()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.